• This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn more.

XF 1.5 problems when upgrading

#1
Hey, guys

I am experiencing an issue when upgrading to the latest version
I get this error during the upgrade.

Server Error
Server Error
include(/home/letsdafm/public_html/forum/library/XenForo/DataWriter/UserField.php): failed to open stream: Permission denied

  1. XenForo_Application::handlePhpError() in XenForo/Autoloader.php at line 119
  2. XenForo_Autoloader::autoload() in XenForo/Autoloader.php at line 119
  3. XenForo_Autoloader->autoload()
  4. spl_autoload_call()
  5. class_exists() in XenForo/Install/Model/Upgrade.php at line 176
  6. XenForo_Install_Model_Upgrade->runSchemaCompare() in XenForo/Install/Model/Upgrade.php at line 164
  7. XenForo_Install_Model_Upgrade->getDefaultSchemaErrors() in XenForo/Install/Controller/Upgrade.php at line 239
  8. XenForo_Install_Controller_Upgrade->actionComplete() in XenForo/FrontController.php at line 351
  9. XenForo_FrontController->dispatch() in XenForo/FrontController.php at line 134
  10. XenForo_FrontController->run() in /home/letsdafm/public_html/forum/install/index.php at line 18

Please help me solved it.

Thank you
 

Mike

XenForo developer
Staff member
#3
It looks like you have permission issues, as /home/letsdafm/public_html/forum/library/XenForo/DataWriter/UserField.php isn't readable. There isn't really any reason for this, so it may be worth trying a reupload (as that should probably error as well). If the problem still exists, it's probably worth having your host check the permissions on at least that file.